Opened 8 years ago

Closed 4 years ago

#2520 closed defect (fixed)

d.grid: -c and -d flags not displaying + and - marks

Reported by: richardc Owned by: grass-dev@…
Priority: normal Milestone: 7.0.7
Component: Display Version: svn-trunk
Keywords: d.grid Cc:
CPU: x86-32 Platform: Linux

Description

The -c and -d flags which specify '+' and '-' marks instead of grid lines do not display. If the latter flags are unticked then the grid lines display fine.

g.proj -p                                                                       
-PROJ_INFO-------------------------------------------------
name       : Lambert Azimuthal Equal Area
proj       : laea
lat_0      : 13
lon_0      : 101.5
x_0        : 0
y_0        : 0
no_defs    : defined
datum      : wgs84
ellps      : wgs84
towgs84    : 0.000,0.000,0.000
-PROJ_UNITS------------------------------------------------
unit       : meter
units      : meters
meters     : 1


System Info                                                                     
GRASS version: 7.0.0svn                                                         
GRASS SVN Revision: 63320                                                       
Build Date: 2014-12-19                                                          
Build Platform: i686-pc-linux-gnu                                               
GDAL/OGR: 1.11.1                                                                
PROJ.4: 4.9.0                                                                   
GEOS: 3.4.2                                                                     
SQLite: 3.7.9                                                                   
Python: 2.7.3                                                                   
wxPython: 2.8.12.1                                                              
Platform:LinuxMint-13-maya                

Change History (13)

comment:1 by annakrat, 8 years ago

It works for me with r63876. Could you see any errors?

comment:2 by richardc, 8 years ago

I couldn't see any errors with the following commands (selected in GUI):

d.grid -g 00:20 width=4 color=blue <- grid lines visible
d.grid -g -c 00:20 width=4 color=blue <- no grid lines and no '+' marks

I also tried in a Windows version* which again does not show the marks, only grid lines. I'll try updating my GRASS version to see if that helps resolve.

Windows System Info                                                                     
GRASS version: 7.0.0beta3                                                       
GRASS SVN Revision: 61541                                                       
Build Date: 2014-08-06                                                          
Build Platform: i686-pc-mingw32                                                 
GDAL/OGR: 1.11.0                                                                
PROJ.4: 4.8.0                                                                   
GEOS: 3.4.2                                                                     
SQLite: 3.7.17                                                                  
Python: 2.7.4                                                                   
wxPython: 2.8.12.1                                                              
Platform: Windows-SP1 [in virtual box]

comment:3 by richardc, 8 years ago

I downloaded the latest d.grid module from svn into my Linux installation, but marks still not visible in Map Display.

 $ svn co https://svn.osgeo.org/grass/grass/branches/releasebranch_7_0/display/d.grid
A    d.grid/plot.c
A    d.grid/fiducial.c
A    d.grid/local_proto.h
A    d.grid/main.c
A    d.grid/d.grid.html
A    d.grid/Makefile
A    d.grid/plotborder.c
 U   d.grid
Checked out revision 63928.

comment:4 by richardc, 8 years ago

I updated my system to 63929, but still the d.grid marks '+' are not displaying. Maybe something unique to my system?

e.g., d.grid -g -c size=00:30 width=6 color=blue fontsize=14

System Info                                                                     
GRASS version: 7.0.0svn                                                         
GRASS SVN Revision: 63929                                                       
Build Date: 2015-01-02                                                          
Build Platform: i686-pc-linux-gnu                                               
GDAL/OGR: 1.11.1                                                                
PROJ.4: 4.9.0                                                                   
GEOS: 3.4.2                                                                     
SQLite: 3.7.9                                                                   
Python: 2.7.3                                                                   
wxPython: 2.8.12.1                                                              
Platform: Linux-3.2.0-31-generic-pae-i686-with-LinuxMint-13-maya    

comment:5 by neteler, 8 years ago

I just tried on command line:

GRASS 7.1.svn (latlong):~ > d.grid -g -c size=00:30 width=6 color=blue fontsize=14
ERROR: Geo-Grid option is not available for LL projection

Other location:

GRASS 7.1.svn (nc_spm_08_grass7):~ > d.mon wx0
GRASS 7.1.svn (nc_spm_08_grass7):~ > d.grid -g -c size=00:30 width=6 color=blue fontsize=14
WARNING: Geogrid marks not yet implemented

(the spelling is different)

It doesn't seem to available.

in reply to:  5 ; comment:6 by annakrat, 8 years ago

Replying to neteler:

I just tried on command line:

GRASS 7.1.svn (latlong):~ > d.grid -g -c size=00:30 width=6 color=blue fontsize=14
ERROR: Geo-Grid option is not available for LL projection

d.grid manual says: A geographic grid cannot be drawn for a latitude/longitude or XY projection. When you switch off -g, it will work.

Other location:

GRASS 7.1.svn (nc_spm_08_grass7):~ > d.mon wx0
GRASS 7.1.svn (nc_spm_08_grass7):~ > d.grid -g -c size=00:30 width=6 color=blue fontsize=14
WARNING: Geogrid marks not yet implemented

(the spelling is different)

It doesn't seem to available.

in reply to:  6 comment:7 by neteler, 8 years ago

Replying to annakrat:

d.grid manual says: A geographic grid cannot be drawn for a latitude/longitude or XY projection. When you switch off -g, it will work.

Right. I have changed the message to

ERROR: Geo-grid option not available for LL projection, use without -g/-w

GRASS 7.1.svn (nc_spm_08_grass7):~ > d.grid -g -c size=00:30 width=6 color=blue fontsize=14
WARNING: Geogrid marks not yet implemented

Also here, without -g the marks are shown.

Still a bit funny, in LatLong -g/-w should not be used while e.g. in NC SPM there is no support implemented.

Maybe -g and -w should be commented out?

comment:8 by martinl, 7 years ago

Milestone: 7.0.07.0.5

comment:9 by neteler, 6 years ago

Milestone: 7.0.57.0.6

comment:10 by neteler, 5 years ago

Milestone: 7.0.67.0.7

comment:11 by martinl, 4 years ago

Still relevant?

comment:12 by veroandreo, 4 years ago

Tested with grass 76 relbranch, both -c and -d flags work as expected, i.e., respective marks are shown. However, -g and -w do not work in UTM location either, no warning nor error displayed anywhere.

comment:13 by veroandreo, 4 years ago

Resolution: fixed
Status: newclosed

Originally reported bug seems to be fixed, therefore closing. For the bug regarding -g and -w flags, see #3831

Note: See TracTickets for help on using tickets.